DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# FeaturePerimeter

Measure the object's perimeter length

## SYNOPSIS

`#include "dip_measurement.h"`

dip_int dip_FeaturePerimeterID ( void )

## FUNCTION

`dip_FeaturePerimeterID` returns the ID value of this measurement function, that is registered by `Initialise`.

This measures the perimeter of 2D objects by calculating the length of the chaincode of its enclosing border. This function assumes that each object has a single connected border. The used method for measuring the length of the chaincode is optimal for circles, and for a collection of objects that are randomly orientated, see the referenced literature for detailed.

## LITERATURE

A.M. Vossepoel and A.W.M. Smeulders (1982), "Vector Code Probability and Metrication Error in the Representation of Straight Lines of Finite Length", Computer Graphics and Image Processing 20: 347-364

## SEE ALSO

`Measure`, `FeatureSize`, `FeatureCenter`, `FeatureGravity`, `FeatureMean`, `FeatureSum`, `FeatureStdDev`, `FeatureMaximum`, `FeatureMinimum`, `FeatureMaxVal`, `FeatureMinVal`, `FeatureSurfaceArea`, `FeatureMass`, `FeatureInertia`

DIPlib on-line documentation | Function reference | Global function index